Bug 1443962 - Please update to version 0.18
Summary: Please update to version 0.18
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: OCE
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1446957
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-20 10:57 UTC by Sandro Mani
Modified: 2019-01-09 12:54 UTC (History)
2 users (show)

Fixed In Version: OCE-0.18.1-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 18:58:23 UTC
Type: Bug


Attachments (Terms of Use)
Update to 0.18 (19.79 KB, application/mbox)
2017-04-20 10:57 UTC, Sandro Mani
no flags Details

Description Sandro Mani 2017-04-20 10:57:14 UTC
Created attachment 1272911 [details]
Update to 0.18

Description of problem:
gmsh-3.0 onwards requires OCC 6.9+. OCE-0.18 rebases to OCC-6.9.1 [1]. Would be great if the package could be updated in rawhide (possibly also F26).

Upgrade should be straight forward, spec-patch attached, see scratch build [2].

[1] https://github.com/tpaviot/oce/releases
[2] https://koji.fedoraproject.org/koji/taskinfo?taskID=19096180

Comment 1 Richard Shaw 2017-05-10 13:29:19 UTC
Ok, OCE was just updated to 0.18.1, doing a test build now.

Comment 2 Richard Shaw 2017-05-11 17:47:14 UTC
Ok, OCE and smesh are done for F26 and in the buildroot override. I need netgen-mesher before I can rebuild freecad.

Comment 3 Sandro Mani 2017-05-11 19:42:12 UTC
netgen-mesher ovverride requested, should be ready any moment:

koji wait-repo f26-build --build=netgen-mesher-6.2-0.2.git94fd571.fc26

Comment 4 Fedora Update System 2017-05-15 18:30:01 UTC
getdp-2.11.0-3.fc26 root-6.08.06-3.fc26 freecad-0.16-6.fc26 gmsh-3.0.2-1.fc26 smesh-6.7.2-1.fc26 netgen-mesher-6.2-0.2.git94fd571.fc26 OCE-0.18.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dec322f142

Comment 5 Fedora Update System 2017-05-16 06:09:57 UTC
OCE-0.18.1-1.fc26, freecad-0.16-6.fc26, getdp-2.11.0-3.fc26, gmsh-3.0.2-1.fc26, netgen-mesher-6.2-0.2.git94fd571.fc26, root-6.08.06-3.fc26, smesh-6.7.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dec322f142

Comment 6 Fedora Update System 2017-06-09 18:58:23 UTC
OCE-0.18.1-1.fc26, freecad-0.16-6.fc26, getdp-2.11.0-3.fc26, gmsh-3.0.2-1.fc26, netgen-mesher-6.2-0.2.git94fd571.fc26, root-6.08.06-3.fc26, smesh-6.7.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.